Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Class DefaultEntitlementsListener

    java.lang.Object
      com.compoze.collab.beacm.DefaultEntitlementsListener

All Implemented Interfaces
  IEntitlementsListener

    public class DefaultEntitlementsListener

extends Object
implements IEntitlementsListener

Nested Class Summary
`static class` | `DefaultEntitlementsListener.Capability`

Field Summary
`static String[]` | `s_capabilities` This represents the capabilities.

Constructor Summary
`DefaultEntitlementsListener(String sRoleName)` Constructor.

Method Summary
`void` | `entitleNode(Node node, ContentContext cc, com.compoze.collab.spi.Context collabContext)` Entitles the specified node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_capabilities

    public static final String[] s_capabilities

  This represents the capabilities.

Constructor Detail

### DefaultEntitlementsListener

    public DefaultEntitlementsListener(String sRoleName)

  Constructor.

  Parameters
    `sRoleName` - the role name

Method Detail

### entitleNode

    public void entitleNode(Node node,
                            ContentContext cc,
                            com.compoze.collab.spi.Context collabContext)
                     throws CollaborationException

  Entitles the specified node.

  Specified by:
    `entitleNode` in interface `IEntitlementsListener`
  Parameters
    `node` - the node
    `cc` - the content context
    `collabContext` - the collab context
  Throws
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved